- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCPExtraTechnique Class Reference
[FCollada Library Classes.]

A FCPExtraTechnique plug-in. More...

`#include <FColladaPlugin.h>`

Inheritance diagram for FCPExtraTechnique:

List of all members.

## Public Member Functions
virtual const char * | GetProfileName ()=0
| Retrieves the name of the technique profile that this plug-in handles.
virtual FUTrackable * | ReadFromArchive (FCDETechnique *techniqueNode, FUObject *parent)=0
| Replaces the extra tree node and generates the profile-specific object for it.
virtual void | WriteToArchive (FCDETechnique *techniqueNode, const FUTrackable *handle) const =0
| Generate a temporary extra tree for the given handle for archiving purposes.
## Protected Member Functions
virtual | ~FCPExtraTechnique ()
| Destructor.

## Detailed Description

A FCPExtraTechnique plug-in.

We use the plug-in in FCollada to parse technique-specific informations. There are three techniques that FCollada handles directly but can be overriden using one or more plug-ins: "MAYA", "MAX3D" and "FCOLLADA".

See also:
  FUPlugin

## Constructor & Destructor Documentation

virtual FCPExtraTechnique::~FCPExtraTechnique | ( |  | ) | `[inline, protected, virtual]`

| Destructor. Don't destroy directly. Use the Release function.

## Member Function Documentation

virtual const char* FCPExtraTechnique::GetProfileName | ( |  | ) | `[pure virtual]`

| Retrieves the name of the technique profile that this plug-in handles. Returns: The name of the technique profile.

virtual FUTrackable* FCPExtraTechnique::ReadFromArchive | ( | FCDETechnique * | techniqueNode,
|  | FUObject * | parent
| ) | `[pure virtual]`

  | Replaces the extra tree node and generates the profile-specific object for it. A temporary extra tree is generated for archiving purposes and will be kept after this call only if this function returns NULL. Parameters:
  | techniqueNode | The extra tree node for the profile-specific technique.
  | parent | The object that is creating this profile-specific object.
Returns: An handle to the profile-specific object. When this handle is NULL, the FCollada extra tree will be kept. When the extra tree that contains this handle is released, the handle will also be released. If you use this handle elsewhere, make sure you correctly use the FUTrackedPtr, FUObjectRef, FUTrackedList and FUObjectContainer templates.

virtual void FCPExtraTechnique::WriteToArchive | ( | FCDETechnique * | techniqueNode,
|  | const FUTrackable * | handle
| ) | const`[pure virtual]`

  | Generate a temporary extra tree for the given handle for archiving purposes. After archiving is complete, all the temporary extra trees are released. Parameters:
  | techniqueNode | The extra tree node to contain the profile-specific object. This node is in the form: <technique profile="X">
  | handle | A custom object created by the ReadFromArchive function.

The documentation for this class was generated from the following file:

- FColladaPlugin.h